org.hibernate.validator.internal.xml

## Class ValidationConfigType

- java.lang.Object
- - org.hibernate.validator.internal.xml.ValidationConfigType

-     public class ValidationConfigType
      extends Object

  Java class for validation-configType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="validation-configType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="default-provider" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="message-interpolator" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="traversable-resolver" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="constraint-validator-factory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="parameter-name-provider" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="executable-validation" type="{http://jboss.org/xml/ns/javax/validation/configuration}executable-validationType" minOccurs="0"/>
               <element name="constraint-mapping" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="property" type="{http://jboss.org/xml/ns/javax/validation/configuration}propertyType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="version" use="required" type="{http://jboss.org/xml/ns/javax/validation/configuration}versionType" fixed="1.1" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `constraintMapping`
    `protected String` | `constraintValidatorFactory`
    `protected String` | `defaultProvider`
    `protected ExecutableValidationType` | `executableValidation`
    `protected String` | `messageInterpolator`
    `protected String` | `parameterNameProvider`
    `protected List<PropertyType>` | `property`
    `protected String` | `traversableResolver`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationConfigType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getConstraintMapping()` Gets the value of the constraintMapping property.
    `String` | `getConstraintValidatorFactory()` Gets the value of the constraintValidatorFactory property.
    `String` | `getDefaultProvider()` Gets the value of the defaultProvider property.
    `ExecutableValidationType` | `getExecutableValidation()` Gets the value of the executableValidation property.
    `String` | `getMessageInterpolator()` Gets the value of the messageInterpolator property.
    `String` | `getParameterNameProvider()` Gets the value of the parameterNameProvider property.
    `List<PropertyType>` | `getProperty()` Gets the value of the property property.
    `String` | `getTraversableResolver()` Gets the value of the traversableResolver property.
    `String` | `getVersion()` Gets the value of the version property.
    `void` | `setConstraintValidatorFactory(String value)` Sets the value of the constraintValidatorFactory property.
    `void` | `setDefaultProvider(String value)` Sets the value of the defaultProvider property.
    `void` | `setExecutableValidation(ExecutableValidationType value)` Sets the value of the executableValidation property.
    `void` | `setMessageInterpolator(String value)` Sets the value of the messageInterpolator property.
    `void` | `setParameterNameProvider(String value)` Sets the value of the parameterNameProvider property.
    `void` | `setTraversableResolver(String value)` Sets the value of the traversableResolver property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultProvider

          protected String defaultProvider

    - #### messageInterpolator

          protected String messageInterpolator

    - #### traversableResolver

          protected String traversableResolver

    - #### constraintValidatorFactory

          protected String constraintValidatorFactory

    - #### parameterNameProvider

          protected String parameterNameProvider

    - #### executableValidation

          protected ExecutableValidationType executableValidation

    - #### constraintMapping

          protected List<String> constraintMapping

    - #### property

          protected List<PropertyType> property

    - #### version

          protected String version

  - ### Constructor Detail

    - #### ValidationConfigType

          public ValidationConfigType()

  - ### Method Detail

    - #### getDefaultProvider

          public String getDefaultProvider()

      Gets the value of the defaultProvider property.
      Returns:
        possible object is `String`

    - #### setDefaultProvider

          public void setDefaultProvider(String value)

      Sets the value of the defaultProvider property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessageInterpolator

          public String getMessageInterpolator()

      Gets the value of the messageInterpolator property.
      Returns:
        possible object is `String`

    - #### setMessageInterpolator

          public void setMessageInterpolator(String value)

      Sets the value of the messageInterpolator property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTraversableResolver

          public String getTraversableResolver()

      Gets the value of the traversableResolver property.
      Returns:
        possible object is `String`

    - #### setTraversableResolver

          public void setTraversableResolver(String value)

      Sets the value of the traversableResolver property.
      Parameters:
        `value` - allowed object is `String`

    - #### getConstraintValidatorFactory

          public String getConstraintValidatorFactory()

      Gets the value of the constraintValidatorFactory property.
      Returns:
        possible object is `String`

    - #### setConstraintValidatorFactory

          public void setConstraintValidatorFactory(String value)

      Sets the value of the constraintValidatorFactory property.
      Parameters:
        `value` - allowed object is `String`

    - #### getParameterNameProvider

          public String getParameterNameProvider()

      Gets the value of the parameterNameProvider property.
      Returns:
        possible object is `String`

    - #### setParameterNameProvider

          public void setParameterNameProvider(String value)

      Sets the value of the parameterNameProvider property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExecutableValidation

          public ExecutableValidationType getExecutableValidation()

      Gets the value of the executableValidation property.
      Returns:
        possible object is `ExecutableValidationType`

    - #### setExecutableValidation

          public void setExecutableValidation(ExecutableValidationType value)

      Sets the value of the executableValidation property.
      Parameters:
        `value` - allowed object is `ExecutableValidationType`

    - #### getConstraintMapping

          public List<String> getConstraintMapping()

      Gets the value of the constraintMapping property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the constraintMapping property.

      For example, to add a new item, do as follows:

              getConstraintMapping().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getProperty

          public List<PropertyType> getProperty()

      Gets the value of the property property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the property property.

      For example, to add a new item, do as follows:

              getProperty().add(newItem);

      Objects of the following type(s) are allowed in the list `PropertyType`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved